<script>
	import Contact from '$lib/feature/contact.svelte';
	import Landing from './landing.svelte';
	import ServiceCard from './serviceCard.svelte';

	import services from '$lib/data/services.json';
</script>

<div>
	<Landing />
	<section>
		<h2 id="prestations">Prestations</h2>
		<div class="cards">
			{#each services as service}
				<ServiceCard {service} />
			{/each}
		</div>
	</section>
	<Contact />
</div>

<style>
	div {
		margin: auto;
		width: 85%;
	}
	section {
		display: flex;
		flex-direction: column;
		align-items: center;
		margin-bottom: 50px;
	}

	h2 {
		font-size: 3em;
		margin-bottom: 56px;
	}

	.cards {
		display: flex;
		flex-wrap: wrap;
		justify-content: space-around;
		gap: 48px;
	}

	@media (min-width: 760px) {
		section {
			margin-bottom: 200px;
		}

		h2 {
			font-size: 4em;
		}
	}
</style>
